@echo off
cls


REM Read local file if it exists
REM --------------------------------------------------------------------
if exist "runlocal.bat" goto :readlocal
goto :endlocal
:readlocal
CALL runlocal
:endlocal


REM Construct basic classpath containing system jars if needed
REM --------------------------------------------------------------------
if "%CLASSPATH%" == "" goto :noclasspath
goto :run

:noclasspath
REM If both CLASSPATH and JAVAHOME are not set then it's impossible to figure it out
if "%JAVAHOME%" == "" goto :toobad
REM Little hard assumption here, but there's no better way to get the version
if "%SWINGHOME%" == "" goto :jdk12

:jdk11
IF "%JDK11%" == "" SET JDK11=YES
SET CLASSPATH=%JAVAHOME%\lib\classes.zip;%SWINGHOME%\swingall.jar
goto :run

:jdk12
IF "%JDK11%" == "" SET JDK11=NO
SET CLASSPATH=%JAVAHOME%\jre\lib\rt.jar
goto :run


REM Add webfunds and cryptix jars to classpath
REM --------------------------------------------------------------------
:run
IF "%JDK11%" == "YES" goto :compat
SET WFCLASSPATH=cryptix-jce-api.jar;cryptix-jce-provider.jar;cryptix-openpgp.jar;SOX.jar;WebFunds.jar;%MOREJARS%;%CLASSPATH%
goto :reallyrun

:compat
SET WFCLASSPATH=cryptix-jce-compat.jar;cryptix-jce-api.jar;cryptix-jce-provider.jar;cryptix-openpgp.jar;SOX.jar;WebFunds.jar;%MOREJARS%;%CLASSPATH%
goto :reallyrun


REM And run!
REM --------------------------------------------------------------------
:reallyrun
echo WebFunds will now run. If for some reason it does not seem to work, 
echo please change the settings in 'runlocal.bat'.

if "%JAVAHOME%" == "" goto :usepath

if EXIST %JAVAHOME%\bin\java.exe goto :java
:jre
%JAVAHOME%\bin\jre -cp %WFCLASSPATH% -Djava.compiler=NONE webfunds.client.Core
goto :end
:java
%JAVAHOME%\bin\java -cp %WFCLASSPATH% -Djava.compiler=NONE webfunds.client.Core
goto :end

:usepath
if "%JAVA%" == "" goto :noenv
%JAVA% -cp %WFCLASSPATH% -Djava.compiler=NONE webfunds.client.Core
goto :end
:noenv
java -cp %WFCLASSPATH% -Djava.compiler=NONE webfunds.client.Core
goto :end


REM Final messages
REM --------------------------------------------------------------------
:toobad
echo.
echo Unfortunately this doesn't work out. Please edit the file called
echo 'runlocal.bat' and run this script again.
pause
goto :reallyend

:end
echo.
echo Thanks for running WebFunds. If somehow WebFunds did not startup,
echo please check the settings in 'runlocal.bat'. If that fails, please
echo have a look at http://www.webfunds.org/ for support.

:reallyend
